Egret社区

egret 4.1.0 打包iOS app失败

2017-8-17 11:13
6464
1银子
用4.1.0的支持包,打包失败

laideMacBook-Pro:labs lai$ egret create_app fishAPP -f fishing/ -t egret-support/egret-ios-support-4.1.0/
您正在使用的引擎版本为 4.1.0
> copy from project template ...
文件夹操作出现问题,请注意以下事项:
1、请查看 template/runtime/native_require.js 是否为空,若为空请重新创建一个新的项目并将文件替换掉。
2、不要在桌面创建native工程,都放到同一个其他盘去,比如 e 盘。
由于操作系统刷新问题,请勿在操作文件后立马执行脚本。请重新执行命令,如果多次重试还不能解决,请联系我们,QQ群:481169576


用最新的支持包5.0.5 打包也失败

laideMacBook-Pro:labs lai$ egret create_app fishAPP -f fishing/ -t egret-support/egret-ios-support-5.0.5/
您正在使用的引擎版本为 4.1.0
> copy from project template ...
文件夹操作出现问题,请注意以下事项:
1、请查看 template/runtime/native_require.js 是否为空,若为空请重新创建一个新的项目并将文件替换掉。
2、不要在桌面创建native工程,都放到同一个其他盘去,比如 e 盘。
由于操作系统刷新问题,请勿在操作文件后立马执行脚本。请重新执行命令,如果多次重试还不能解决,请联系我们,QQ群:481169576
加QQ群,没反应




最佳答案

查看完整内容

iOS support的路径是正确的吗?换成绝对路径试一下
分享到 :
0 人收藏

4 个回复

倒序浏览
LijianFKS  官方团队 | 2017-8-17 11:13:05
iOS support的路径是正确的吗?换成绝对路径试一下
ruandao  圆转纯熟 | 2017-8-17 11:19:07
1、请查看 template/runtime/native_require.js 是否为空,若为空请重新创建一个新的项目并将文件替换掉。
      该文件不为空, 试过把新项目的native_require.js 拷贝过来,也没用

2、不要在桌面创建native工程,都放到同一个其他盘去,比如 e 盘。
     都在同一个盘中,(iOS系统好像是整个是一个盘)
ruandao  圆转纯熟 | 2017-8-22 17:28:17
LijianFKS 发表于 2017-8-21 10:44
iOS support的路径是正确的吗?换成绝对路径试一下

路径正确, 换成绝对路径也是报一样的错误

有没有什么办法,让报错信息更详细点
ruandao  圆转纯熟 | 2017-8-23 16:41:26
一个一个试,试出来了 。是  egretProperties.json  配置文件的问题
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号

Powered by Discuz! X3.2 © 2001-2019 Comsenz Inc.

返回顶部